Saudi Arabia Chart of Accounts standard

by ,
Odoo
v 15.0 Third Party 481
Download for v 15.0 Deploy on Odoo.sh
Required Apps Invoicing (account)
Lines of code 171
Technical Name nati_l10n_sa
LicenseAGPL-3
Websitehttp://muhlhel.com
Also available in version v 13.0 v 14.0
You bought this module and need support? Click here!
Required Apps Invoicing (account)
Lines of code 171
Technical Name nati_l10n_sa
LicenseAGPL-3
Websitehttp://muhlhel.com
Also available in version v 13.0 v 14.0

Saudi Arabia - Accounting-Muhlhel-standard

general chart of accounting.

________________________

Arabic localization for most arabic countries and Saudi Arabia.

Please Replece orginal module by this in odoo addons l10n_sa

if you want to keep please rename it, we just use this name to auto install if you select Saudi Arabi as your country

_________________________

___________________
muhlhel@gmail.com

Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
There are no ratings yet!
by
Muhammad Eltyar
on 2/27/22, 1:24 AM

That is what i did and got the below error

Re:
by
Muhlhel Ali
on 2/27/22, 2:10 AM Author

if you rename module

in this file line 4 

 /odoo15/odoo15server/addons/l10n_sa/data/account_chart_template_configure_data.xml

you sholud rewrite nati_l10n_sa.account_arabic_coa_general to l10n_sa.account_arabic_coa_general
thanks


by
Muhammad Eltyar
on 2/25/22, 7:23 AM

still got this error even with a new database from scratch.

File "/odoo15/odoo15-server/odoo/tools/safe_eval.py", line 346, in safe_eval
    raise ValueError('%s: "%s" while evaluating\n%r' % (ustr(type(e)), ustr(e), expr))
ValueError: <class 'ValueError'>: "External ID not found in the system: nati_l10n_sa.account_arabic_coa_general" while evaluating
"[ref('nati_l10n_sa.account_arabic_coa_general')]"
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "/odoo15/odoo15-server/odoo/tools/safe_eval.py", line 330, in safe_eval
    return unsafe_eval(c, globals_dict, locals_dict)
  File "", line 1, in <module>
  File "<decorator-gen-74>", line 2, in button_immediate_install
  File "/odoo15/odoo15-server/odoo/addons/base/models/ir_module.py", line 74, in check_and_log
    return method(self, *args, **kwargs)
  File "/odoo15/odoo15-server/odoo/addons/base/models/ir_module.py", line 483, in button_immediate_install
    return self._button_immediate_function(type(self).button_install)
  File "/odoo15/odoo15-server/odoo/addons/base/models/ir_module.py", line 600, in _button_immediate_function
    registry = modules.registry.Registry.new(self._cr.dbname, update_module=True)
  File "/odoo15/odoo15-server/odoo/modules/registry.py", line 87, in new
    odoo.modules.load_modules(registry, force_demo, status, update_module)
  File "/odoo15/odoo15-server/odoo/modules/loading.py", line 474, in load_modules
    processed_modules += load_marked_modules(cr, graph,
  File "/odoo15/odoo15-server/odoo/modules/loading.py", line 363, in load_marked_modules
    loaded, processed = load_module_graph(
  File "/odoo15/odoo15-server/odoo/modules/loading.py", line 222, in load_module_graph
    load_data(cr, idref, mode, kind='data', package=package)
  File "/odoo15/odoo15-server/odoo/modules/loading.py", line 69, in load_data
    tools.convert_file(cr, package.name, filename, idref, mode, noupdate, kind)
  File "/odoo15/odoo15-server/odoo/tools/convert.py", line 745, in convert_file
    convert_xml_import(cr, module, fp, idref, mode, noupdate)
  File "/odoo15/odoo15-server/odoo/tools/convert.py", line 811, in convert_xml_import
    obj.parse(doc.getroot())
  File "/odoo15/odoo15-server/odoo/tools/convert.py", line 731, in parse
    self._tag_root(de)
  File "/odoo15/odoo15-server/odoo/tools/convert.py", line 680, in _tag_root
    f(rec)
  File "/odoo15/odoo15-server/odoo/tools/convert.py", line 693, in _tag_root
    raise ParseError('while parsing %s:%s, somewhere inside\n%s' % (
odoo.tools.convert.ParseError: while parsing /odoo15/odoo15-server/addons/l10n_sa/data/account_chart_template_configure_data.xml:4, somewhere inside
<function model="account.chart.template" name="try_loading">
            <value eval="[ref('nati_l10n_sa.account_arabic_coa_general')]"/>
        </function>
Re:
by
Muhlhel Ali
on 2/27/22, 1:04 AM Author
 /odoo15/odoo15-server/addons/l10n_sa
odoo install this module as default when you choice Saudi Arabi as your country, so if you want use our module you should replace this by ours.


we have wort this comment in description our module

Please Replece orginal module by this in odoo addons l10n_sa

if you want to keep please rename it, we just use this name to auto install if you select Saudi Arabi as your country

Thanks

by
Muhammad Eltyar
on 2/1/22, 6:11 AM

after replacing the file with the original module and trying to upgrade the module I got the below error:

The operation cannot be completed: another model requires the record being deleted. If possible, archive it instead. Model: Tax (account.tax), Constraint: account_tax_tax_group_id_fkey

Re:
by
Muhlhel Ali
on 2/1/22, 3:59 PM Author

this is use from start implementation you can not use it after implemented to upgrade ,

so you should use it from the start project,